PO4A-TRANSLATE(1p)

NOME
po4a-translate - converter um ficheiro PO de volta ao formato de documentação

SINOPSE
po4a-translate -f fmt -m master.doc -p XX.po -l XX.doc

(XX.doc é a saída, todos os outros são entradas)

DESCRIÇÃO
O objetivo do projeto po4a (PO para tudo) é facilitar traduções (e mais interessante, a manutenção das traduções) usando ferramentas gettext em áreas onde eles não eram esperados como documentação.

O script po4a-translate é responsável por converter a tradução (que foi feita num ficheiro PO) de volta para o formato de documentação. O ficheiro PO fornecido deverá ser a tradução do ficheiro POT que foiproduzido por po4a-gettextize(1).

OPÇÕES

-f, --format
    O formato da documentação que pretende processar. Use a opção --help-format para ver a lista de formatos disponíveis.

-a, --addendum
    Adicionar um ficheiro para o ficheiro resultante (para colocar o nome do tradutor ou uma secção "Sobre esta tradução", por exemplo). A primeira linha do ficheiro para inserção deve ser um cabeçalho PO4A indicando onde ele deve ser adicionado (ver secção COMO adicionar texto extra para traduções em po4a(7)).

-A, --addendum-charset
    Conjunto de carateres da adenda. Note-se que todas as adendas devem estar no mesmo conjnto de carateres.

-m, --master
    Ficheiro contendo o documento principal para traduzir.

-M, --master-charset
    Conjunto de carateres do ficheiro que contém o documento a traduzir.

-l, --localized
    Ficheiro onde o documento localizado (traduzido) deve ser escrito.

-L, --localized-charset
    Conjunto de carateres do ficheiro que contém o documento localizado.

-p, --po
    Ficheiro a partir do qual o catálogo de mensagens deve ser lido.

-o, --option
    Opção(s) extra para passar para o formato em modo de extensão. Especificar cada opção no formato 'name=value'. Consulte a documentação de cada modo de extenção para mais informações sobre as opções válidas e seus significados.

-k, --keep
    Limite mínimo de porcentagem de tradução para manter (i.e. escrever) o ficheiro resultante (padrão: 80). I.e. por padrão, ficheiros têm que ser traduzido em pelo menos 80% para ser escrito.

-w, --width
    Coluna em que devemos envolver o ficheiro resultante.

-h, --help
    Mostrar uma pequena mensagem de ajuda.

--help-format
    Lista os formatos de documentação compreendidos por po4a.

-V, --version
    Mostrar a versão do script e sair

-v, --verbose
    Aumentar o detalhe do programa.

-d, --debug
    Saída de alguma informação de depuração.

A adição de conteúdo (ao lado das traduções) para ficheiros gerados
Para adicionar algum conteúdo extra para o documento gerado além do que você traduziu (como o nome do tradutor ou uma seção "Sobre essa tradução"), você deveria usar a opção --addendum.

A primeira linha da adenda deve ser um cabeçalho indicando onde colocá-lo no documento (que pode ser antes ou depois de uma determinada parte do documento). O resto do ficheiro será adicionado na íntegra para o ficheiro resultante sem processamento posterior.

Note que se po4a-translate não conseguir adicionar um dos ficheiros dados, ele descarta toda a tradução (porque o ficheiro que falta poderia ser o que indica o autor, o que impediria aos utilizadores o contato com ele para relatar erros na tradução).

O cabeçalho tem uma sintaxe bastante rígida. Para mais informações sobre como usar esse recurso e como ele funciona, consulte a página do manual po4a(7).

VER TAMBÉM
po4a-gettextize(1), po4a-normalize(1), po4a-updatepo(1), po4a(7)

AUTORES
 Denis Barbier <barbier@linuxfr.org>
 Nicolas François <nicolas.francois@centraliens.net>
 Martin Quinson (mquinson#debian.org)

DIREITOS DE AUTOR E LICENÇA
Direitos de Autor 2002-2012 por SPI, inc.

Este programa é software livre, você pode redistribuí-lo e/ou modificá-lo sob os termos da GPL (consulte o ficheiro CÓPIA).